Bug 1466193 (CVE-2017-3143) - CVE-2017-3143 bind: An error in TSIG authentication can permit unauthorized dynamic updates
Summary: CVE-2017-3143 bind: An error in TSIG authentication can permit unauthorized d...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-3143
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1466206 1466207 1466208 1466209 1466609 1466610 1466807
Blocks: 1466195
TreeView+ depends on / blocked
 
Reported: 2017-06-29 08:47 UTC by Adam Mariš
Modified: 2019-09-29 14:15 UTC (History)
12 users (show)

Fixed In Version: bind 9.9.10-P2, bind 9.10.5-P2,bind 9.11.1-P2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the way BIND handled TSIG authentication for dynamic updates. A remote attacker able to communicate with an authoritative BIND server could use this flaw to manipulate the contents of a zone, by forging a valid TSIG or SIG(0) signature for a dynamic update request.
Clone Of:
Environment:
Last Closed: 2017-07-06 08:27:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1679 normal SHIPPED_LIVE Important: bind security and bug fix update 2017-07-05 13:26:32 UTC
Red Hat Product Errata RHSA-2017:1680 normal SHIPPED_LIVE Important: bind security and bug fix update 2017-07-05 13:16:26 UTC

Description Adam Mariš 2017-06-29 08:47:16 UTC
An attacker who is able to send and receive messages to an authoritative DNS server and who has knowledge of a valid TSIG key name for the zone and service being targeted may be able to manipulate BIND into accepting an unauthorized dynamic update. A server that relies solely on TSIG or SIG(0) keys with no other address-based ACL protection could be vulnerable to malicious zone content manipulation using this technique.

Workarounds:

The effects of this vulnerability can be mitigated by using Access Control Lists (ACLs) that require both address range validation and use of TSIG authentication in parallel. For information on how to configure this type of compound authentication control, please see:

https://kb.isc.org/article/AA-00723/0/Using-Access-Control-Lists-ACLs-with-both-addresses-and-keys.html.

Administrators who have made use of named.conf option "update-policy local;" should refer to the Administrator Reference Manual (ARM) for details of the automatic update policy that will be established and to assess whether or not this conveys any additional risk to their server. (Note that this option is not enabled by default).

Upstream patch:

https://source.isc.org/cgi-bin/gitweb.cgi?p=bind9.git;a=commitdiff;h=581c1526ab

Comment 1 Adam Mariš 2017-06-29 08:47:23 UTC
Acknowledgments:

Name: Internet Systems Consortium
Upstream: Clement Berthaux (Synacktiv)

Comment 3 Dhiru Kholia 2017-06-30 04:23:50 UTC
External References:

https://kb.isc.org/article/AA-01503

Comment 4 Dhiru Kholia 2017-06-30 04:24:59 UTC
Created bind tracking bugs for this issue:

Affects: fedora-all [bug 1466609]


Created bind99 tracking bugs for this issue:

Affects: fedora-all [bug 1466610]

Comment 7 Dhiru Kholia 2017-07-03 10:28:38 UTC
Mitigation:

The effects of this vulnerability can be mitigated by using Access Control Lists (ACLs) that require both address range validation and use of TSIG authentication in parallel. For information on how to configure this type of compound authentication control, please see:

https://kb.isc.org/article/AA-00723/0/Using-Access-Control-Lists-ACLs-with-both-addresses-and-keys.html

Comment 8 errata-xmlrpc 2017-07-05 09:17:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1680 https://access.redhat.com/errata/RHSA-2017:1680

Comment 9 errata-xmlrpc 2017-07-05 09:27:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:1679 https://access.redhat.com/errata/RHSA-2017:1679


Note You need to log in before you can comment on or make changes to this bug.